> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/assistant/messages/{messageId}/rating
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/messages/{messageId}/rating:
    patch:
      tags:
        - Assistant Messages
      summary: Rate
      operationId: AssistantMessagesController_rate_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: messageId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantMessageRatingBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantMessageResponseDto'
components:
  schemas:
    AssistantMessageRatingBodyDto:
      type: object
      properties:
        projectId:
          type: string
          pattern: ^[1-9]\d*$
        rating:
          anyOf:
            - type: string
              enum:
                - up
                - down
            - type: 'null'
        comment:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 2000
            - type: 'null'
      required:
        - rating
      additionalProperties: false
    AssistantMessageResponseDto:
      type: object
      properties:
        id:
          type: string
        conversationId:
          type: string
        role:
          enum:
            - user
            - assistant
          type: string
        parts:
          type: object
        rating:
          nullable: true
          enum:
            - up
            - down
          type: string
        ratingComment:
          type: string
          nullable: true
        ratedAt:
          type: string
          nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - conversationId
        - role
        - parts
        - rating
        - ratingComment
        - ratedAt
        - createdAt
        - updatedAt

````